/// <reference types="react" />
export declare type RouteParams = {
    [key: string]: any;
};
export declare type StoreRoute = {
    name: string;
    path: string;
    pattern: string;
    keys?: {
        [key: string]: number;
    };
    page: React.FunctionComponent;
};
export declare type StoreRoutes = {
    [key: string]: StoreRoute;
};
export declare type Route = {
    name: string;
    path: string;
    page: React.FunctionComponent;
};
export declare type LinkProps = Omit<React.AnchorHTMLAttributes<HTMLAnchorElement>, 'href'> & {
    route: string;
    params?: RouteParams;
};
export declare type RouterContextType = [string, StoreRoutes];
export declare type RouterProviderType = {
    routes: Route[];
    notFoundPage?: React.ReactNode;
};
export declare function toQueryString(params: any): string;
export declare function connect(routes: Route[]): StoreRoutes;
export declare function navigateByUrl(url: string): void;
export declare function getUrlByRoute(routes: StoreRoutes, routeName: string, params?: RouteParams): string;
export declare function getRouteByUrl(routes: StoreRoutes, url: string): [StoreRoute, RouteParams] | [];
export declare function shouldTrap(e: React.MouseEvent): boolean;
export declare function getCurrentPath(): string;
export declare function usePopState(setFn: (path: string) => void): void;
