import * as React from 'react';
import { LinkProps, RouteParams, RouterProviderType } from './helper';
export declare const RouterContext: React.Context<[string, import("./helper").StoreRoutes]>;
/**
 * Return current route, params and pushRoute function
 */
export declare const useRouter: () => {
    params: RouteParams;
    route: string;
    pushRoute: (routeName: string, params?: RouteParams | undefined) => void;
};
/**
 * Init routing
 * @param props.routes routes config (@see Route)
 * @param props.notFoundPage optional parameter for component Page Not Found
 * @return If there is no route, will return null or notFoundPage
 */
declare function Router(props: RouterProviderType): any;
/**
 * Link component for SPA transition
 * @param props.route Route name
 * @param props.params Route params
 */
export declare const Link: React.FC<LinkProps>;
export default Router;
